Bug 1130852 - PartitionException: Attempting to remove a partition that is not owned by any disk.
Summary: PartitionException: Attempting to remove a partition that is not owned by any...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 22
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:12a992f060f39ad071e6f059925...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-18 03:28 UTC by Ankur Sinha (FranciscoD)
Modified: 2015-12-21 14:21 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-21 14:21:56 UTC


Attachments (Terms of Use)
File: anaconda-tb (422.29 KB, text/plain)
2014-08-18 03:28 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: anaconda.log (36.96 KB, text/plain)
2014-08-18 03:28 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: environ (458 bytes, text/plain)
2014-08-18 03:28 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: lsblk_output (1.72 KB, text/plain)
2014-08-18 03:29 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: nmcli_dev_list (1.76 KB, text/plain)
2014-08-18 03:29 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: os_info (381 bytes, text/plain)
2014-08-18 03:29 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: program.log (30.29 KB, text/plain)
2014-08-18 03:29 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: storage.log (185.66 KB, text/plain)
2014-08-18 03:29 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: syslog (87.04 KB, text/plain)
2014-08-18 03:29 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: ifcfg.log (2.17 KB, text/plain)
2014-08-18 03:29 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: packaging.log (1.93 KB, text/plain)
2014-08-18 03:29 UTC, Ankur Sinha (FranciscoD)
no flags Details

Description Ankur Sinha (FranciscoD) 2014-08-18 03:28:47 UTC
Version-Release number of selected component:
anaconda-22.3-1

The following was filed automatically by anaconda:
anaconda 22.3-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/parted/disk.py", line 269, in removePartition
    if self.__disk.remove_partition(partition.getPedPartition()):
  File "/usr/lib/python2.7/site-packages/parted/decorators.py", line 41, in new
    ret = fn(*args, **kwds)
  File "/usr/lib/python2.7/site-packages/blivet/formats/disklabel.py", line 325, in removePartition
    self.partedDisk.removePartition(partition)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 438, in _removeDevice
    dev.disk.format.removePartition(dev.partedPartition)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 496, in registerAction
    self._removeDevice(action.device)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1298, in destroyDevice
    self.devicetree.registerAction(action)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1708, in _destroy_device
    self._storage_playground.destroyDevice(device)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 121, in decorated
    return func(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1831, in on_remove_clicked
    self._destroy_device(dev)
PartitionException: Attempting to remove a partition that is not owned by any disk.

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-rawhide-i386 quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.17.0-0.rc0.git6.1.fc22.i686
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        rawhide

Comment 1 Ankur Sinha (FranciscoD) 2014-08-18 03:28:55 UTC
Created attachment 927618 [details]
File: anaconda-tb

Comment 2 Ankur Sinha (FranciscoD) 2014-08-18 03:28:57 UTC
Created attachment 927619 [details]
File: anaconda.log

Comment 3 Ankur Sinha (FranciscoD) 2014-08-18 03:28:59 UTC
Created attachment 927620 [details]
File: environ

Comment 4 Ankur Sinha (FranciscoD) 2014-08-18 03:29:00 UTC
Created attachment 927621 [details]
File: lsblk_output

Comment 5 Ankur Sinha (FranciscoD) 2014-08-18 03:29:02 UTC
Created attachment 927622 [details]
File: nmcli_dev_list

Comment 6 Ankur Sinha (FranciscoD) 2014-08-18 03:29:03 UTC
Created attachment 927623 [details]
File: os_info

Comment 7 Ankur Sinha (FranciscoD) 2014-08-18 03:29:06 UTC
Created attachment 927624 [details]
File: program.log

Comment 8 Ankur Sinha (FranciscoD) 2014-08-18 03:29:10 UTC
Created attachment 927625 [details]
File: storage.log

Comment 9 Ankur Sinha (FranciscoD) 2014-08-18 03:29:14 UTC
Created attachment 927626 [details]
File: syslog

Comment 10 Ankur Sinha (FranciscoD) 2014-08-18 03:29:16 UTC
Created attachment 927627 [details]
File: ifcfg.log

Comment 11 Ankur Sinha (FranciscoD) 2014-08-18 03:29:17 UTC
Created attachment 927628 [details]
File: packaging.log

Comment 12 Ankur Sinha (FranciscoD) 2014-08-25 15:13:40 UTC
I managed to work around this:

Initially, I was doing the swap partition last, and it crashed twice when I did. On the third try, I first did the swap partition and then the others and it didn't crash.

Comment 13 Jaroslav Reznik 2015-03-03 16:12:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 14 David Shea 2015-12-02 20:21:41 UTC
What steps did you take to reach this error? Does it still occur in Fedora 23?

Comment 15 Ankur Sinha (FranciscoD) 2015-12-21 12:07:19 UTC
I was just going about the normal installation process - I have a /home partition and things that I remount. 

I can't say if the issue still persists - I didn't seem to run into it while installing F23.


Note You need to log in before you can comment on or make changes to this bug.